# Class SealedAndSigned

#### Hierarchy

- unknown
  - SealedAndSigned

- Defined in src/protobuf/pb_pb.d.ts:1861
- Defined in src/protobuf/pb_pb.d.ts:1890

#####
Index

### Constructors

constructor

### Methods

getEncryptedPayloadWithHmac
getEncryptedPayloadWithHmac_asB64
getEncryptedPayloadWithHmac_asU8
getEncryptedSecretKey
getEncryptedSecretKey_asB64
getEncryptedSecretKey_asU8
getSigPublicKeyBytes
getSigPublicKeyBytes_asB64
getSigPublicKeyBytes_asU8
getSignature
getSignature_asB64
getSignature_asU8
serializeBinary
setEncryptedPayloadWithHmac
setEncryptedSecretKey
setSigPublicKeyBytes
setSignature
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SealedAndSigned(): SealedAndSigned

- #### Returns SealedAndSigned

  Inherited from jspb.Message.constructor

## Methods

### getEncryptedPayloadWithHmac

- getEncryptedPayloadWithHmac(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1867

### getEncryptedPayloadWithHmac_asB64

- getEncryptedPayloadWithHmac_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1869

### getEncryptedPayloadWithHmac_asU8

- getEncryptedPayloadWithHmac_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1868

### getEncryptedSecretKey

- getEncryptedSecretKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1862

### getEncryptedSecretKey_asB64

- getEncryptedSecretKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1864

### getEncryptedSecretKey_asU8

- getEncryptedSecretKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1863

### getSigPublicKeyBytes

- getSigPublicKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1877

### getSigPublicKeyBytes_asB64

- getSigPublicKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1879

### getSigPublicKeyBytes_asU8

- getSigPublicKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1878

### getSignature

- getSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1872

### getSignature_asB64

- getSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1874

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1873

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1882

### setEncryptedPayloadWithHmac

- setEncryptedPayloadWithHmac(value: string | Uint8Array): SealedAndSigned

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1870

### setEncryptedSecretKey

- setEncryptedSecretKey(value: string | Uint8Array): SealedAndSigned

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1865

### setSigPublicKeyBytes

- setSigPublicKeyBytes(value: string | Uint8Array): SealedAndSigned

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1880

### setSignature

- setSignature(value: string | Uint8Array): SealedAndSigned

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1875

### toObject

- toObject(includeInstance?: boolean): SealedAndSigned.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SealedAndSigned.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1883

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SealedAndSigned

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1886

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SealedAndSigned, reader: BinaryReader): SealedAndSigned

- #### Parameters

  - ##### message: SealedAndSigned

  - ##### reader: BinaryReader

  #### Returns SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:1887

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SealedAndSigned, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SealedAndSigned

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1885

### `Static` toObject

- toObject(includeInstance: boolean, msg: SealedAndSigned): SealedAndSigned.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SealedAndSigned

  #### Returns SealedAndSigned.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1884

Generated using TypeDoc